## org.eclipse.datatools.enablement.sybase.virtual
Class SybaseViewNode

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.core.ui.explorer.providers.content.virtual.VirtualNode
          org.eclipse.datatools.connectivity.sqm.core.internal.ui.explorer.providers.content.virtual.ViewNode
              org.eclipse.datatools.enablement.sybase.virtual.SybaseViewNode

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.datatools.connectivity.sqm.core.internal.ui.explorer.filter.IFilterNode, org.eclipse.datatools.connectivity.sqm.core.internal.ui.explorer.virtual.IViewNode, IVirtualCreationNode, IVirtualNode

Direct Known Subclasses:
  SybaseASAViewNode, SybaseASEViewNode

    public class SybaseViewNode

extends org.eclipse.datatools.connectivity.sqm.core.internal.ui.explorer.providers.content.virtual.ViewNode

View node including infomation whether or not show system views

Author:
  Hao-yue

Field Summary

Fields inherited from interface org.eclipse.datatools.connectivity.sqm.core.internal.ui.explorer.filter.IFilterNode
`SEPARATOR`

Constructor Summary
`SybaseViewNode(java.lang.String arg0, java.lang.String arg1, java.lang.Object arg2)`

Method Summary
`boolean` `getSystemStatus()`
`void` `setSystemStatus(boolean status)`

Methods inherited from class org.eclipse.datatools.connectivity.sqm.core.internal.ui.explorer.providers.content.virtual.ViewNode
`getCreateImageDescriptor, getCreateLabel, getCreateType, getFilterName, getGroupID, shouldDisplayAdd, shouldDisplayCreate`

Methods inherited from class org.eclipse.datatools.connectivity.sqm.core.ui.explorer.providers.content.virtual.VirtualNode
`addChildren, addChildren, getAdapter, getChildrenArray, getDisplayName, getFilterName, getName, getParent, getParentConnection, hasChildren, isCreateActionSupported, isCreateDistinctTypeSupported, isCreateRowTypeSupported, removeAllChildren, removeChildren, supports`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.connectivity.sqm.core.ui.explorer.virtual.IVirtualNode
`addChildren, addChildren, getChildrenArray, getDisplayName, getName, getParent, getParentConnection, hasChildren, removeAllChildren, removeChildren`

Constructor Detail

### SybaseViewNode

    public SybaseViewNode(java.lang.String arg0,
                          java.lang.String arg1,
                          java.lang.Object arg2)

Method Detail

### setSystemStatus

    public void setSystemStatus(boolean status)

### getSystemStatus

    public boolean getSystemStatus()